function animation_load()
	goal_angle_1=math.random(360) --goal animation stuff
	goal_angle_2=math.random(360)
	goal_angle_3=math.random(360)
	goal_speed_1=math.random(-30,30)
	goal_speed_2=math.random(-30,30)
	goal_speed_3=math.random(-30,30)
end

function animation_update()
	local a
	for a=1,objectnum-1 do
		if object[a].kind=="spring" then --spring animations
			spring_color[a]=spring_color[a]+255*love.timer.getDelta()
			if spring_color[a]>255 then spring_color[a]=255 end
		end
		
		if object[a].kind=="jet" then --jet particle systems
			if gameplay_paused==0 then
				particle_jet[a]:update(love.timer.getDelta())
			end
		end
	end
	
	if gameplay_paused==0 then
		particle_goal:update(love.timer.getDelta()) --goal particle system
		
		goal_angle_1=goal_angle_1+goal_speed_1*love.timer.getDelta() --goal animation
		goal_angle_2=goal_angle_2+goal_speed_2*love.timer.getDelta()
		goal_angle_3=goal_angle_3+goal_speed_3*love.timer.getDelta()
	end
	
	if ball_remnant then --level clear animation
		ball_remnant.alpha=ball_remnant.alpha-1*love.timer.getDelta()
		if ball_remnant.alpha<0 then ball_remnant.alpha=0 end
		ball_remnant.size=ball_remnant.size+.5*love.timer.getDelta()
	end
	
	particle_ball:update(love.timer.getDelta()) --ball particle system
	if particle_clear then particle_clear:update(love.timer.getDelta()) end --level clear particle system
	if particle_death then particle_death:update(love.timer.getDelta()) end --ball death particle system
end

function animation_draw()
	local a, b
	for a=1,objectnum-1 do
		if object[a].kind=="jet" then --draw jet particle systems
			love.graphics.setColor(255,255,255,255)
			love.graphics.draw(particle_jet[a],object[a].x,object[a].y)
			
			for b=1,math.random(20,21) do --draw glowy circle
				love.graphics.setColor(255,255,255,255/b)
				love.graphics.circle("fill",object[a].x,object[a].y,b,b)
			end
		end
	end
	
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(particle_goal,goal:getX(),goal:getY()) --draw goal particle system
	love.graphics.draw(particle_ball,ball_spawn.x,ball_spawn.y) --draw ball spawn point particle system
	
	if ball_remnant then --draw level clear animation
		love.graphics.setColor(255,255,255,255*ball_remnant.alpha)
		love.graphics.draw(image_ball,ball_remnant.x,ball_remnant.y,0,ball_remnant.size,ball_remnant.size,16,16)
	end
	love.graphics.setColor(255,255,255,255)
	if particle_clear then love.graphics.draw(particle_clear,0,0) end --draw level clear particle system
	
	if ball_remnant then --draw ball death animation (same as level clear)
		love.graphics.setColor(255,255,255,255*ball_remnant.alpha)
		love.graphics.draw(image_ball,ball_remnant.x,ball_remnant.y,0,ball_remnant.size,ball_remnant.size,16,16)
	end
	love.graphics.setColor(255,255,255,255)
	if particle_death then love.graphics.draw(particle_death,0,0) end --draw ball death particle system
end