function levelselect_load()
	numlevels=0 --load list of levels
	levelpath={}
	for i,v in ipairs(love.filesystem.enumerate("custom")) do
		numlevels=i
		levelpath[i]=v
	end

	scroll_y=0 --determine height of menu
	scroll_height=(numlevels*75)+75
	if scroll_height<0 then scroll_height=0 end
	flyin_x=500 --menu starts out 500 pixels offscreen - for transition purposes

	selectedfile=1
end

function levelselect_update()
	if love.mouse.getY()>love.graphics.getHeight()-100 and scroll_y<scroll_height-500 then --scroll menu based on mouse position
		scroll_y=scroll_y+400*love.timer.getDelta()
	end

	if love.mouse.getY()<100 and scroll_y>0 then
		scroll_y=scroll_y-400*love.timer.getDelta()
	end
	
	if love.mouse.getY()<75-scroll_y or love.mouse.getY()>scroll_height-scroll_y or love.mouse.getX()<50 or love.mouse.getX()>450 then
		selectedfile=0
	else
		selectedfile=math.floor((love.mouse.getY()+scroll_y)/75) --figure out which file mouse is over
	end

	--transition stuff
	if screen=="levelselect" then
		flyin_x=flyin_x-((flyin_x/2)*love.timer.getDelta()*10)
	else
		flyin_x=flyin_x+(((flyin_x+1)*2)*love.timer.getDelta()*5)
	end
	
	if flyin_x>500 then flyin_x=500 end
	if flyin_x<0 then flyin_x=0 end
end

function levelselect_draw()
	local a
	love.graphics.setLineWidth(4)
	love.graphics.setFont(font_verasans20)

	if numlevels>0 then
		for a=1,numlevels do
			if a==selectedfile then --draw button backgrounds
				love.graphics.setColor(128,128,128,150)
			else
				love.graphics.setColor(128,128,128,100)
			end
			love.graphics.rectangle("fill",50-flyin_x,(75*a)-scroll_y,400,75)

			if a==selectedfile then --draw buttons
				love.graphics.setColor(255,255,255,255)
			else
				love.graphics.setColor(200,200,200,255)
			end
			love.graphics.rectangle("line",50-flyin_x,(75*a)-scroll_y,400,75)
			love.graphics.printf(levelpath[a],100-flyin_x,(75*a)+37-scroll_y,300)
		end
	else
		love.graphics.setColor(255,255,255,255) --show message if no levels are found
		love.graphics.printf("No custom levels available\nWhat did you do with those poor samples?",50-flyin_x,love.graphics.getHeight()/2,love.graphics.getWidth()-100,"center")
	end
end
