function tilt_config_load()
	if love.filesystem.exists("config")==false then --create new file if none exists
		local file=love.filesystem.newFile("config")
		file:open("w")
		file:write("1")
		file:close()
	end

	file=love.filesystem.newFile("config") --load options
	file:open("r")
	for line in file:lines() do
		controlstyle=tonumber(line)
	end
	file:close()
end

function tilt_config_write()
	local file=love.filesystem.newFile("config")
	file:open("w")
	file:write(controlstyle)
	file:close()
end

function options_load()
	flyin_y=600 --transition stuff
end

function options_update()
	--transition stuff
	if screen=="options" then
		flyin_y=flyin_y-((flyin_y/2)*love.timer.getDelta()*10)
	else
		flyin_y=flyin_y+(((flyin_y+1)*2)*love.timer.getDelta()*5)
	end
	
	if flyin_y>600 then flyin_y=600 end
	if flyin_y<0 then flyin_y=0 end
	
	--button highlighting
	if love.mouse.getY()>200 and love.mouse.getY()<250 then --control style buttons
		if love.mouse.getX()>150 and love.mouse.getX()<350 then options_selected=1
		elseif love.mouse.getX()>450 and love.mouse.getX()<650 then options_selected=2
		end
	elseif love.mouse.getY()>500 and love.mouse.getY()<550 and love.mouse.getX()>350 and love.mouse.getX()<450 then options_selected=3
	else options_selected=0
	end
end

function options_draw()
	--draw various text morsels
	love.graphics.setFont(font_verasans15)
	love.graphics.setColor(255,255,255,255)
	if options_selected==1 then
		love.graphics.printf("Hold the left mouse button and move the mouse to rotate platforms.",100,350-flyin_y,600,"center")
	elseif options_selected==2 then
		love.graphics.printf("Just move the mouse to rotate platforms. Note that the mouse will stick to the center of the screen until you pause the game!",100,350-flyin_y,600,"center")
	end
	love.graphics.setFont(font_verasans20)
	love.graphics.printf("Set control style",10,150-flyin_y,780,"center")
	love.graphics.setColor(200,200,255,255)
	love.graphics.printf("Currently selected control style: "..controlstyle,10,300-flyin_y,780,"center")
	
	love.graphics.setColor(255,255,255,255)
	love.graphics.setLineWidth(4)

	if options_selected==1 then --draw button backgrounds
		love.graphics.setColor(128,128,128,200)
	else
		love.graphics.setColor(128,128,128,150)
	end
	love.graphics.rectangle("fill",150,200-flyin_y,200,50)

	if options_selected==2 then
		love.graphics.setColor(128,128,128,200)
	else
		love.graphics.setColor(128,128,128,150)
	end
	love.graphics.rectangle("fill",450,200-flyin_y,200,50)

	if options_selected==3 then
		love.graphics.setColor(128,128,128,200)
	else
		love.graphics.setColor(128,128,128,150)
	end
	love.graphics.rectangle("fill",350,500-flyin_y,100,50)

	if options_selected==1 then --draw buttons
		love.graphics.setColor(255,255,255,200)
	else
		love.graphics.setColor(200,200,200,150)
	end
	love.graphics.rectangle("line",150,200-flyin_y,200,50)
	love.graphics.printf("Control style 1",160,225-flyin_y,180,"center")

	if options_selected==2 then
		love.graphics.setColor(255,255,255,200)
	else
		love.graphics.setColor(200,200,200,150)
	end
	love.graphics.rectangle("line",450,200-flyin_y,200,50)
	love.graphics.printf("Control style 2",460,225-flyin_y,180,"center")

	if options_selected==3 then
		love.graphics.setColor(255,255,255,200)
	else
		love.graphics.setColor(200,200,200,150)
	end
	love.graphics.rectangle("line",350,500-flyin_y,100,50)
	love.graphics.printf("Back",360,525-flyin_y,80,"center")
end